#!/bin/sh

echo 'name: vector
version: 0.6.0.2
license: BSD3
copyright: (c) Roman Leshchinskiy 2008-2010
maintainer: Roman Leshchinskiy <rl@cse.unsw.edu.au>
stability:
homepage: http://code.haskell.org/vector
package-url:
description: .
             An efficient implementation of Int-indexed arrays (both mutable
             and immutable), with a powerful loop fusion optimization framework .
             .
             It is structured as follows:
             .
             [@Data.Vector@] Boxed vectors of arbitrary types.
             .
             [@Data.Vector.Unboxed@] Unboxed vectors with an adaptive
             representation based on data type families.
             .
             [@Data.Vector.Storable@] Unboxed vectors of '\''Storable'\'' types.
             .
             [@Data.Vector.Primitive@] Unboxed vectors of primitive types as
             defined by the @primitive@ package. @Data.Vector.Unboxed@ is more
             flexible at no performance cost.
             .
             [@Data.Vector.Generic@] Generic interface to the vector types.
             .
             There is also a (draft) tutorial on common uses of vector.
             .
             * <http://haskell.org/haskellwiki/Numeric_Haskell:_A_Vector_Tutorial>
             .
             Please use the project trac to submit bug reports and feature
             requests.
             .
             * <http://trac.haskell.org/vector>
             .
             Changes since version 0.6.0.1
             .
             * Workaround for GHC bug #4120
             .
             Changes since version 0.6
             .
             * Improved documentation
             .
             Changes since version 0.5
             .
             * More efficient representation of @Storable@ vectors
             .
             * Block copy operations used when possible
             .
             * @Typeable@ and @Data@ instances
             .
             * Monadic combinators (@replicateM@, @mapM@ etc.)
             .
             * Better support for recycling (see @create@ and @modify@)
             .
             * Performance improvements
category: Data, Data Structures
author: Roman Leshchinskiy <rl@cse.unsw.edu.au>
exposed: True
exposed-modules: Data.Vector.Internal.Check Data.Vector.Fusion.Util
                 Data.Vector.Fusion.Stream.Size Data.Vector.Fusion.Stream.Monadic
                 Data.Vector.Fusion.Stream Data.Vector.Generic.Mutable
                 Data.Vector.Generic.Base Data.Vector.Generic.New
                 Data.Vector.Generic Data.Vector.Primitive.Mutable
                 Data.Vector.Primitive Data.Vector.Storable.Internal
                 Data.Vector.Storable.Mutable Data.Vector.Storable
                 Data.Vector.Unboxed.Base Data.Vector.Unboxed.Mutable
                 Data.Vector.Unboxed Data.Vector.Mutable Data.Vector
hidden-modules:
import-dirs: /usr/local/lib/vector-0.6.0.2/ghc-6.10.4
library-dirs: /usr/local/lib/vector-0.6.0.2/ghc-6.10.4
              /usr/local/lib
hs-libraries: HSvector-0.6.0.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
              /usr/local/lib/vector-0.6.0.2/ghc-6.10.4/include
includes:
depends: base-4.1.0.0 ghc-6.10.4 primitive-0.3
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/vector-0.6.0.2/html/vector.haddock
haddock-html: /usr/local/share/doc/vector-0.6.0.2/html' | /usr/local/bin/ghc-pkg update -
